Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class GenericApplicationContextUtil

    java.lang.Object
      org.wso2.wsas.admin.service.util.GenericApplicationContextUtil

    public class GenericApplicationContextUtil

extends java.lang.Object

Constructor Summary
`GenericApplicationContextUtil()`

Method Summary
`static org.springframework.context.support.GenericApplicationContext` | `getSpringApplicationContext(java.io.InputStream applicationContxtInStream, java.lang.String springBeansFilePath)`
`static org.springframework.context.support.GenericApplicationContext` | `getSpringApplicationContext(java.lang.String applicationContxtFilePath, java.lang.ClassLoader springBeansClassLoader)`
`static org.springframework.context.support.GenericApplicationContext` | `getSpringApplicationContext(java.lang.String applicationContxtFilePath, java.lang.String springBeansFilePath)`
`static org.springframework.context.support.GenericApplicationContext` | `getSpringApplicationContextClassPath(java.lang.ClassLoader classLoader, java.lang.String relPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericApplicationContextUtil

    public GenericApplicationContextUtil()

Method Detail

### getSpringApplicationContext

    public static org.springframework.context.support.GenericApplicationContext getSpringApplicationContext(java.io.InputStream applicationContxtInStream,
                                                                                                            java.lang.String springBeansFilePath)
                                                                                                     throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getSpringApplicationContextClassPath

    public static org.springframework.context.support.GenericApplicationContext getSpringApplicationContextClassPath(java.lang.ClassLoader classLoader,
                                                                                                                     java.lang.String relPath)
                                                                                                              throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getSpringApplicationContext

    public static org.springframework.context.support.GenericApplicationContext getSpringApplicationContext(java.lang.String applicationContxtFilePath,
                                                                                                            java.lang.ClassLoader springBeansClassLoader)
                                                                                                     throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getSpringApplicationContext

    public static org.springframework.context.support.GenericApplicationContext getSpringApplicationContext(java.lang.String applicationContxtFilePath,
                                                                                                            java.lang.String springBeansFilePath)
                                                                                                     throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD